| Home | Libraries | People | FAQ | More

##### windows::basic_object_handle::basic_object_handle (4 of 5 overloads)

Construct an object handle on an existing native handle.

    template<
        typename ExecutionContext>
    basic_object_handle(
        ExecutionContext & context,
        const native_handle_type & native_handle,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates an object handle object to hold an existing native handle.

###### Parameters

context

  An execution context which provides the I/O executor that the object handle will use, by default, to dispatch handlers for any asynchronous operations performed on the object handle.

native_handle

  The new underlying handle implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.